

using System;
using System.Collections.Generic;
using System.Text;
using DataAccessLayer;
using EntityLayer;
using DataLayer;
using System.Data;
using InfraStructureLayer;

namespace BusinessLayer
{
    public class busEntryContents : BusinessBase
    {
        public busEntryContents()
            : base()
        {
        }
        public DataTable SelectEntryContentsByEntryId(entEntryContents parEntEntryContents)
        {
            try
            {
                datEntryContents insDatEntryContents = new datEntryContents();
                DbConnector insDbConnector = new DbConnector();
                return insDatEntryContents.SelectEntryContentsByEntryId(parEntEntryContents, insDbConnector);

            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
            return null;
        }
        public void SelectEntryContentByPermalinkGUID(entEntryContents parEntEntryContents)
        {
            DbConnector insDbConnector = new DbConnector();
            try
            {
                datEntryContents insDatEntryContents = new datEntryContents();
                insDatEntryContents.SelectEntryContentByPermalinkGUID(parEntEntryContents, insDbConnector);
                parEntEntryContents.Body = GenerateHandlerLink(parEntEntryContents.Body);
            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
            return;

        }
    }
}