using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using InfraStructureLayer;
using DataAccessLayer;
using DataLayer;

namespace BusinessLayer
{
    public class busSearchLogs : BusinessBase
    {
        public DataTable ReportSearchLogsMain(DateTime parStartDate, DateTime parEndDate)
        {
            DbConnector insDbConnector = new DbConnector();
            try
            {
                datSearchLogs insDatSearchLogs = new datSearchLogs();
                return insDatSearchLogs.ReportSearchLogsMain(parStartDate, parEndDate, insDbConnector);
            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
            return null;
        }
        public DataTable ReportSearchLogsDetail(DateTime parStartDate, DateTime parEndDate)
        {
            DbConnector insDbConnector = new DbConnector();
            try
            {
                datSearchLogs insDatSearchLogs = new datSearchLogs();
                return insDatSearchLogs.ReportSearchLogsDetail(parStartDate, parEndDate, insDbConnector);
            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
            return null;
        }
    }
}
