

using System;
using System.Collections.Generic;
using System.Text;

namespace EntityLayer
{
	public class entArticles
	{
	#region Members
		private int _ArticleId;
		private DateTime _PublishDate;
		private string _ArticleDescription;

        private List<entArticleContents> _ArticleContentsInsert = new List<entArticleContents>();
        private List<entArticleContents> _ArticleContentsUpdate= new List<entArticleContents>();
        private List<entArticleContents> _ArticleContentsDelete = new List<entArticleContents>();
        private List<entArticleArticleCategories> _ArticleArticleCategories = new List<entArticleArticleCategories>();
	#endregion
	#region Properties
		public int ArticleId
		{
			get { return _ArticleId; }
			set { _ArticleId = value; }
		}
		public DateTime PublishDate
		{
			get { return _PublishDate; }
			set { _PublishDate = value; }
		}
		public string ArticleDescription
		{
			get { return _ArticleDescription; }
			set { _ArticleDescription = value; }
		}
        public List<entArticleContents> ArticleContentsInsert
        {
            get { return _ArticleContentsInsert; }
            set { _ArticleContentsInsert = value; }
        }
        public List<entArticleContents> ArticleContentsUpdate
        {
            get { return _ArticleContentsUpdate; }
            set { _ArticleContentsUpdate = value; }
        }
        public List<entArticleContents> ArticleContentsDelete
        {
            get { return _ArticleContentsDelete; }
            set { _ArticleContentsDelete = value; }
        }
        public List<entArticleArticleCategories> ArticleArticleCategories
        {
            get { return _ArticleArticleCategories; }
            set { _ArticleArticleCategories = value; }
        }
	#endregion
	#region Constuctors
		public entArticles(int parArticleId)
		{
			this._ArticleId = parArticleId;
		}
		public entArticles(DateTime parPublishDate, string parArticleDescription)
		{
			this._PublishDate = parPublishDate;
			this._ArticleDescription = parArticleDescription;
		}
		public entArticles(int parArticleId, DateTime parPublishDate, string parArticleDescription)
		{
			this._ArticleId = parArticleId;
			this._PublishDate = parPublishDate;
			this._ArticleDescription = parArticleDescription;
		}
		public entArticles()
		{
		}
	#endregion
	}
}