

using System;
using System.Collections.Generic;
using System.Text;

namespace EntityLayer
{
	public class entEntries
	{
	#region Members
		private int _EntryId;
		private DateTime _PublishDate;
		private bool _AllowComments;
		private DateTime _InsertDate;
        private string _EntryDescription;

        private List<entEntryContents> _EntryContentsInsert = new List<entEntryContents>();
        private List<entEntryContents> _EntryContentsUpdate = new List<entEntryContents>();
        private List<entEntryContents> _EntryContentsDelete = new List<entEntryContents>();
        private List<entEntryCategories> _EntryCategories = new List<entEntryCategories>();
	#endregion
	#region Properties
		public int EntryId
		{
			get { return _EntryId; }
			set { _EntryId = value; }
		}
		public DateTime PublishDate
		{
			get { return _PublishDate; }
			set { _PublishDate = value; }
		}
		public bool AllowComments
		{
			get { return _AllowComments; }
			set { _AllowComments = value; }
		}
		public DateTime InsertDate
		{
			get { return _InsertDate; }
			set { _InsertDate = value; }
		}
        public string EntryDescription
        {
            get { return _EntryDescription; }
            set { _EntryDescription = value; }
        }
        public List<entEntryContents> EntryContentsInsert
        {
            get { return _EntryContentsInsert; }
            set { _EntryContentsInsert = value; }
        }
        public List<entEntryContents> EntryContentsUpdate
        {
            get { return _EntryContentsUpdate; }
            set { _EntryContentsUpdate = value; }
        }
        public List<entEntryContents> EntryContentsDelete
        {
            get { return _EntryContentsDelete; }
            set { _EntryContentsDelete = value; }
        }
        public List<entEntryCategories> EntryCategories
        {
            get { return _EntryCategories; }
            set { _EntryCategories = value; }
        }
	#endregion
        #region Constuctors
        public entEntries(int parEntryId)
        {
            this._EntryId = parEntryId;
        }
        public entEntries(DateTime parPublishDate, bool parAllowComments, DateTime parInsertDate, string parEntryDescription)
        {
            this._PublishDate = parPublishDate;
            this._AllowComments = parAllowComments;
            this._InsertDate = parInsertDate;
            this._EntryDescription = parEntryDescription;
        }
        public entEntries(int parEntryId, DateTime parPublishDate, bool parAllowComments, DateTime parInsertDate, string parEntryDescription)
        {
            this._EntryId = parEntryId;
            this._PublishDate = parPublishDate;
            this._AllowComments = parAllowComments;
            this._InsertDate = parInsertDate;
            this._EntryDescription = parEntryDescription;
        }
        public entEntries()
        {
        }
        #endregion
	}
}