using System;
using System.Collections.Generic;
using System.Text;

namespace EntityLayer
{
    public class entParameters
    {
        #region Members
        private int _ParameterId;
        private string _ParameterName;
        private string _ParameterValue;
        private int? _ControlTypeId;
        #endregion
        #region Properties
        public int ParameterId
        {
            get { return _ParameterId; }
            set { _ParameterId = value; }
        }
        public string ParameterName
        {
            get { return _ParameterName; }
            set { _ParameterName = value; }
        }
        public string ParameterValue
        {
            get { return _ParameterValue; }
            set { _ParameterValue = value; }
        }
        public int? ControlTypeId
        {
            get { return _ControlTypeId; }
            set { _ControlTypeId = value; }
        }
        #endregion
        #region Constuctors
        public entParameters(int parParameterId)
        {
            this._ParameterId = parParameterId;
        }
        public entParameters(string parParameterName, string parParameterValue, int? parControlTypeId)
        {
            this._ParameterName = parParameterName;
            this._ParameterValue = parParameterValue;
            this._ControlTypeId = parControlTypeId;
        }
        public entParameters(int parParameterId, string parParameterName, string parParameterValue, int? parControlTypeId)
        {
            this._ParameterId = parParameterId;
            this._ParameterName = parParameterName;
            this._ParameterValue = parParameterValue;
            this._ControlTypeId = parControlTypeId;
        }
        public entParameters()
        {
        }
        #endregion
    }
}