<%@ Page Language="C#" MasterPageFile="~/SFMaster.master" AutoEventWireup="true" CodeFile="ErrorMessages.aspx.cs" Inherits="Admin_ErrorMessages"  %>

<%@ Register Assembly="WebControls" Namespace="WebControls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="Server">
<table width=100%><tr><td>
    <cc1:SFGrid ID="sfgErrorMessages" runat="server" OnNeedsDataSource="sfgErrorMessages_NeedsDataSource"
        AutoGenerateColumns="False" IsMasterPageControl="False" IsProtectedForLanguageChange="False"
        OnRowCommand="sfgErrorMessages_RowCommand">
        <Columns>
            <asp:TemplateField>
                <itemtemplate>
                <asp:ImageButton id="ibtEdit" runat="server" CommandName="EditData" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ErrorMessageId") %>' ImageUrl="~/images/edit.gif"></asp:ImageButton>
            </itemtemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <itemtemplate>
                <asp:ImageButton id="ibtDelete" runat="server" CommandName="DeleteData" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ErrorMessageId") %>' ImageUrl="~/images/delete.gif"></asp:ImageButton>
            </itemtemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="ErrorMessageName"></asp:BoundField>
        </Columns>
    </cc1:SFGrid>
    <cc1:SFButton ID="btnNew" runat="server" OnClick="btnNew_Click" /></td></tr></table>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderEdit" runat="server">
    <table>
        <tr>
            <td>
                <cc1:SFLabel ID="lblErrorMessageName" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <cc1:SFTextBox ID="txtErrorMessageName" runat="server" ControlsLabel="lblErrorMessageName"></cc1:SFTextBox>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <cc1:SFDataList ID="lstErrorMessageMultilanguageSettings" runat="server" DataKeyField="ErrorMessageMultilanguageSettingId" OnNeedsDataSource="lstErrorMessageMultilanguageSettings_NeedsDataSource" OnItemDataBound="lstErrorMessageMultilanguageSettings_ItemDataBound">
                    <ItemTemplate>
                        <table>
                            <tr>
                                <td valign="top">
                                    <cc1:SFCheckBox AutoPostBack=true OnCheckedChanged="Check" ID=chkLanguage runat=server Text='<%#DataBinder.Eval(Container.DataItem,"LanguageName") %>' />                    
                                </td></tr><tr>
                                <td valign="top">
                                <asp:Panel id=pnlErrorMessageMultilanguageSettings runat=server>
                                     <table>
                                        <tr>
                                            <td>
                                                <cc1:SFLabel ID="lblErrorMessageText" runat="server"></cc1:SFLabel>
                                            </td>
                                            <td>
                                                <cc1:SFTextBox ID="txtErrorMessageText" ControlsLabel="lblErrorMessageText" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ErrorMessageText") %>'  TextMode="MultiLine"></cc1:SFTextBox>
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>
                               
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                    <SeparatorTemplate>
                    <hr />
                    </SeparatorTemplate>
                </cc1:SFDataList>
            </td>
        </tr>
    </table>
</asp:Content>


