<%@ WebHandler Language="C#" Class="Redirect" %>

using System;
using System.Web;

public class Redirect : WebControls.SFHttpHandler, System.Web.SessionState.IRequiresSessionState
{
    
    public override void ProcessRequest (HttpContext context) {

        base.ProcessRequest(context);
        BusinessLayer.Crypto insCrypto = new BusinessLayer.Crypto();
        string url = insCrypto.DecryptURL(context.Request.QueryString["Address"]);

        EntityLayer.entClickThroughs insEntClickThroughs = new EntityLayer.entClickThroughs();
        insEntClickThroughs.ClickThroughAddress = url;
        insEntClickThroughs.ReferrerId = base.ReferrerId;
        BusinessLayer.busClickThroughs insBusClickThroughs = new BusinessLayer.busClickThroughs();
        insBusClickThroughs.InsertClickThroughs(insEntClickThroughs);
        context.Response.Redirect(url);

    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}