<%@ WebHandler Language="C#" Class="RssFiles" %>

using System;
using System.Web;

public class RssFiles : WebControls.SFHttpHandler, System.Web.SessionState.IRequiresSessionState
{

    public override void ProcessRequest(HttpContext context)
    {
        base.ProcessRequest(context);
        BusinessLayer.busFiles insBusFiles = new BusinessLayer.busFiles();

   
        System.Data.DataTable insDataTableFiles = insBusFiles.SelectFilesByLanguageId();

        System.Text.StringBuilder s = new System.Text.StringBuilder(@"<?xml version=""1.0"" encoding=""iso-8859-9"" ?><rss version=""2.0""><channel>");
        s.Append("<title>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["RssTitle"].ToString());
        s.Append(" - ");
        s.Append(InfraStructureLayer.CurrentContext.ErrorMessagesMultilanguage[InfraStructureLayer.CurrentContext.LanguageId.Value.ToString() + "|51"].ToString());
        s.Append("</title>");
        s.Append("<link>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["WebSiteAddress"].ToString() + InfraStructureLayer.CurrentContext.Language + "/files/default.aspx");
        s.Append("</link>");
        s.Append("<description>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["RssTitle"].ToString());
        s.Append("</description>");
        foreach (System.Data.DataRow dr in insDataTableFiles.Rows)
        {
            s.Append("<item>");
            s.Append("<title>");
            s.Append(dr["FileName"].ToString().Replace("&", "&amp;"));
            s.Append("</title>");
            s.Append("<link>");
            s.Append(GenerateUrl(dr["FilePath"].ToString()));
            s.Append("</link>");
            s.Append("<description>");
            s.Append(dr["FileName"].ToString().Replace("&", "&amp;"));
            s.Append("</description>");
            s.Append("</item>");
        }
        s.Append("</channel></rss>");
        context.Response.ContentType = "text/plain";
        context.Response.ContentEncoding = System.Text.Encoding.GetEncoding("iso-8859-9");
        context.Response.Write(s.ToString());
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}