using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using WebControls;
using BusinessLayer;
using InfraStructureLayer;

public partial class UserControls_uctCategories : SFUserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected bool sfrCategories_NeedsDataSource()
    {
        busCategories insBusCategories = new busCategories();
        DataTable insDataTableCategories = insBusCategories.SelectCategoriesByLanguageId();
        if (insBusCategories.HasErrors)
        {
            MessageBoxShow(insBusCategories);
            return true;
        }

        sfrCategories.SetData(insDataTableCategories);
        return insBusCategories.HasErrors;
    }
    protected void ibtRss_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("~/" + CurrentContext.Language + "/Rss/RssBlog.ashx");
    }
    protected void lbtShowAll_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/" + CurrentContext.Language + "/blog/default.aspx");
    }
    protected string GenerateUrl(object obj)
    {
        return "~/" + CurrentContext.Language + "/blog/Category" + new Crypto().EncryptURL(obj.ToString() )+ ".aspx";
    }
}
