using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using WebControls;
using BusinessLayer;
using InfraStructureLayer;

public partial class UserControls_uctEntryArchive : SFUserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected bool sfrEntryArchive_NeedsDataSource()
    {
        busEntries insBusEntries = new busEntries();
        DataTable insDataTableEntries = insBusEntries.SelectEntryArchive();
        if (insBusEntries.HasErrors)
        {
            MessageBoxShow(insBusEntries);
            return true;
        }

        sfrEntryArchive.SetData(insDataTableEntries);
        return insBusEntries.HasErrors;
    }
    protected void ibtRss_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("~/" + CurrentContext.Language + "/Rss/RssBlog.ashx");
    }
    protected void lbtShowAll_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/" + CurrentContext.Language + "/blog/default.aspx");
    }
    protected string GenerateUrl(object obj)
    {
        return "~/" + CurrentContext.Language + "/blog/Archive" + new Crypto().EncryptURL(obj.ToString()) + ".aspx";
    }
}
