using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using WebControls;
using BusinessLayer;
using InfraStructureLayer;

public partial class UserControls_uctNews : SFUserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
      
    }
    protected bool sfrNews_NeedsDataSource()
    {
        busNews insBusNews = new busNews();
        DataTable insDataTableNews = insBusNews.SelectNewsLatest();
        if (insBusNews.HasErrors)
        {
            MessageBoxShow(insBusNews);
            return true;
        }

        sfrNews.SetData(insDataTableNews);
        return insBusNews.HasErrors;
    }
    protected void ibtRss_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect("~/" + CurrentContext.Language + "/Rss/RssNews.ashx");
    }
    protected void lbtShowAll_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/" + CurrentContext.Language + "/News/default.aspx");
    }
    protected string GenerateUrl(object obj)
    {
        Crypto c = new Crypto();
        return "~/" + CurrentContext.Language + "/News/" + c.EncryptURL(obj.ToString()) + ".aspx";
    }
}
