<%@ Page Language="C#" MasterPageFile="~/SFMaster.master" AutoEventWireup="true"
    CodeFile="entryDetail.aspx.cs" Inherits="blog_entryDetail" Title="Untitled Page" %>
<%@ Register Src="/UserControls/uctCategories.ascx" TagName="uctCategories" TagPrefix="uc1" %>
<%@ Register Src="/UserControls/uctEntryArchive.ascx" TagName="uctEntryArchive"
    TagPrefix="uc2" %>
<%@ Register Assembly="WebControls" Namespace="WebControls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderArchive" runat="Server">
    <uc1:uctCategories ID="UctCategories1" runat="server" />
    <uc2:uctEntryArchive ID="UctEntryArchive1" runat="server" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderMain" runat="Server">
    <table width="100%">
        <tr>
            <td>
                <asp:Label ID="lblTitle" runat="server" CssClass="title"></asp:Label>
                -
                <asp:Label ID="lblDate" runat="server" CssClass="title"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="blogBody">
                <asp:Label ID="lblBody" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label ID="lblCategories" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <hr />
            </td>
        </tr>
        <tr>
            <tr>
                <td>
                    <table>
                        <cc1:SFRepeater ID="sfrComments" runat="server" OnItemCommand="sfrComments_ItemCommand">
                            <ItemTemplate>
                                <tr>
                                    <td>
                                        <%#Convert.ToDateTime(DataBinder.Eval(Container.DataItem,"CommentDate")).ToShortDateString() %>
                                        -
                                        <%#DataBinder.Eval(Container.DataItem,"CommentUserName") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%#DataBinder.Eval(Container.DataItem,"CommentBody") %>
                                    </td>
                                </tr>
                                <tr>
                                    <td align="right">
                                        <%#DataBinder.Eval(Container.DataItem,"CommentUserWebSite") %>
                                        <asp:ImageButton ImageUrl="~/images/delete.gif" ID="ibtDelete" Visible='<%#GetVisible() %>'
                                            runat="server" CommandName="DeleteComment" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"CommentId") %>' />
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <SeparatorTemplate>
                                <tr>
                                    <td>
                                        <hr />
                                    </td>
                                </tr>
                            </SeparatorTemplate>
                        </cc1:SFRepeater>
                    </table>
                    <asp:Panel runat="Server" ID="pnlDragHandle" CssClass="editFormTitle">
                        <table width="98%">
                            <tr>
                                <td align="left">
                                    <cc1:SFLabel ID="lblEditHeader" runat="server" Text="aaaa"></cc1:SFLabel>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <asp:Panel ID="pnlEditFormMain" runat="server">
                        <table class="editFormBack">
                            <tr>
                                <td colspan="2">
                                    <div id="hedeee" class="editFormBack">
                                        <table class="tbl">
                                            <tr>
                                                <td>
                                                    <cc1:SFLabel ID="lblCommentUserName" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td>
                                                    <cc1:SFTextBox ID="txtCommentUserName" runat="server" ControlsLabel="lblCommentUserName"></cc1:SFTextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <cc1:SFLabel ID="lblCommentUserWebSite" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td>
                                                    <cc1:SFTextBox ID="txtCommentUserWebSite" runat="server" ControlsLabel="lblCommentUserWebSite"
                                                        AllowNull="true"></cc1:SFTextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <cc1:SFLabel ID="lblCommentUserEmail" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td>
                                                    <cc1:SFTextBox ID="txtCommentUserEmail" runat="server" ControlsLabel="lblCommentUserEmail"
                                                        AllowNull="true"></cc1:SFTextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <cc1:SFLabel ID="lblCommentBody" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td>
                                                    <cc1:SFTextBox ID="txtCommentBody" runat="server" ControlsLabel="lblCommentBody"
                                                        TextMode="MultiLine" MaxLength="3000"></cc1:SFTextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    <cc1:SFLabel ID="lblSecurityPicture" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td valign="top">
                                                    <img src="~/Utils/SecurityPicture.aspx" runat="server" alt="" id="imgSecurityPicture" /><br />
                                                    <cc1:SFTextBox ID="txtSecurityPicture" runat="server" ControlsLabel="lblSecurityPicture"></cc1:SFTextBox>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </td>
                            </tr>
                            <tr>
                                <td align="center" colspan="2">
                                    <cc1:SFButton ID="btnSave" runat="server" OnClick="btnSave_Click" IsMasterPageControl="true" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </td>
            </tr>
    </table>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolderEdit" runat="Server">
</asp:Content>
