using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI.WebControls;

namespace WebControls
{
    public class SFLinkButton: LinkButton,IMultiLanguage
    {
        #region IMultiLanguage Members

        public void SetControlLanguage()
        {
            string txt = StaticMethods.GetMultilanguageString(this);
            if (txt != "")
            {
                this.Text = txt;
            }
        }
        private bool _IsProtectedForLanguageChange = false;
        public bool IsProtectedForLanguageChange
        {
            get
            {
                return _IsProtectedForLanguageChange;
            }
            set
            {
                _IsProtectedForLanguageChange = value;
            }
        }

        private bool _IsMasterPageControl = false;
        public bool IsMasterPageControl
        {
            get
            {
                return _IsMasterPageControl;
            }
            set
            {
                _IsMasterPageControl = value;
            }
        }

        #endregion
    }
}
