using System;
using System.Collections.Generic;
using System.Text;
using DataAccessLayer;
using EntityLayer;
using InfraStructureLayer;
using DataLayer;
using System.Data;

namespace BusinessLayer
{
    public class busSearchParameters : BusinessBase
    {
        public busSearchParameters()
            : base()
        {
        }
        #region  Code Factory Generated Methods
        public void DeleteSearchParametersBySearchParameterId(entSearchParameters parEntSearchParameters)
        {
            DbConnector insDbConnector = new DbConnector();
            try
            {
                datSearchParameters insDatSearchParameters = new datSearchParameters();
                insDatSearchParameters.DeleteSearchParametersBySearchParameterId(parEntSearchParameters, insDbConnector);
            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
        }
        public void InsertSearchParameters(entSearchParameters parEntSearchParameters)
        {
            datSearchParameters insDatSearchParameters = null;
            DbConnector insDbConnector = new DbConnector();
            try
            {
                insDatSearchParameters = new datSearchParameters();
                insDatSearchParameters.InsertSearchParameters(parEntSearchParameters, insDbConnector);
            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
        }
        public void UpdateSearchParametersBySearchParameterId(entSearchParameters parEntSearchParameters)
        {

            datSearchParameters insDatSearchParameters = null;
            DbConnector insDbConnector = new DbConnector();
            try
            {
                insDatSearchParameters = new datSearchParameters();
                insDatSearchParameters.UpdateSearchParametersBySearchParameterId(parEntSearchParameters, insDbConnector);
            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
        }
        public DataTable SelectSearchParameters()
        {
            try
            {
                datSearchParameters insDatSearchParameters = new datSearchParameters();
                DbConnector insDbConnector = new DbConnector();
                return insDatSearchParameters.SelectSearchParameters(insDbConnector);
            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
            return null;
        }
        public void SelectSearchParametersBySearchParameterId(entSearchParameters parEntSearchParameters)
        {
            try
            {
                datSearchParameters insDatSearchParameters = new datSearchParameters();
                DbConnector insDbConnector = new DbConnector();
                insDatSearchParameters.SelectSearchParametersBySearchParameterId(parEntSearchParameters, insDbConnector);
            }
            catch (SFException ex)
            {
                this.ErrorMessage = ex.Message;
            }
        }
        #endregion
    }
}
