using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using EntityLayer;
using DataAccessLayer;

namespace DataLayer
{
    public class datSearch
    {
        public DataTable Search(entSearch parEntSearch, DbConnector parDbConnector)
        {
            DbParamCollection insDbParamCollection = new DbParamCollection();
            insDbParamCollection.Add("@pSearchText", parEntSearch.SearchText);
            insDbParamCollection.Add("@pLanguageId", parEntSearch.LanguageId);
            insDbParamCollection.Add("@pSeachExactMatches", parEntSearch.SeachExactMatches);
            return parDbConnector.ExecuteDataTable("Search", insDbParamCollection);
        }
    }
}
