

using System;
using System.Collections.Generic;
using System.Text;

namespace EntityLayer
{
	public class entMenus
	{
        #region Members
        private int _MenuId;
        private int _LanguageId;
        private string _MenuText;
        private string _NavigateUrl;
        private int? _ParentMenuId;
        private int? _RowNumber;
        #endregion
        #region Properties
        public int MenuId
        {
            get { return _MenuId; }
            set { _MenuId = value; }
        }
        public int LanguageId
        {
            get { return _LanguageId; }
            set { _LanguageId = value; }
        }
        public string MenuText
        {
            get { return _MenuText; }
            set { _MenuText = value; }
        }
        public string NavigateUrl
        {
            get { return _NavigateUrl; }
            set { _NavigateUrl = value; }
        }
        public int? ParentMenuId
        {
            get { return _ParentMenuId; }
            set { _ParentMenuId = value; }
        }
        public int? RowNumber
        {
            get { return _RowNumber; }
            set { _RowNumber = value; }
        }
        #endregion
        #region Constuctors
        public entMenus(int parMenuId)
        {
            this._MenuId = parMenuId;
        }
        public entMenus(int parLanguageId, string parMenuText, string parNavigateUrl, int? parParentMenuId, int? parRowNumber)
        {
            this._LanguageId = parLanguageId;
            this._MenuText = parMenuText;
            this._NavigateUrl = parNavigateUrl;
            this._ParentMenuId = parParentMenuId;
            this._RowNumber = parRowNumber;
        }
        public entMenus(int parMenuId, int parLanguageId, string parMenuText, string parNavigateUrl, int? parParentMenuId, int? parRowNumber)
        {
            this._MenuId = parMenuId;
            this._LanguageId = parLanguageId;
            this._MenuText = parMenuText;
            this._NavigateUrl = parNavigateUrl;
            this._ParentMenuId = parParentMenuId;
            this._RowNumber = parRowNumber;
        }
        public entMenus()
        {
        }
        #endregion
	}
}