

using System;
using System.Collections.Generic;
using System.Text;

namespace EntityLayer
{
	public class entReferrers
	{
	#region Members
		private int _ReferrerId;
		private string _ReferrerAddress;
		private string _IpAddress;
		private string _Browser;
		private int? _LanguageId;
		private int? _PageId;
		private DateTime? _ReferrerDate;
		private bool? _IsRssReferrer;
	#endregion
	#region Properties
		public int ReferrerId
		{
			get { return _ReferrerId; }
			set { _ReferrerId = value; }
		}
		public string ReferrerAddress
		{
			get { return _ReferrerAddress; }
			set { _ReferrerAddress = value; }
		}
		public string IpAddress
		{
			get { return _IpAddress; }
			set { _IpAddress = value; }
		}
		public string Browser
		{
			get { return _Browser; }
			set { _Browser = value; }
		}
		public int? LanguageId
		{
			get { return _LanguageId; }
			set { _LanguageId = value; }
		}
		public int? PageId
		{
			get { return _PageId; }
			set { _PageId = value; }
		}
		public DateTime? ReferrerDate
		{
			get { return _ReferrerDate; }
			set { _ReferrerDate = value; }
		}
		public bool? IsRssReferrer
		{
			get { return _IsRssReferrer; }
			set { _IsRssReferrer = value; }
		}
	#endregion
	#region Constuctors
		public entReferrers(int parReferrerId)
		{
			this._ReferrerId = parReferrerId;
		}
		public entReferrers(string parReferrerAddress, string parIpAddress, string parBrowser, int? parLanguageId, int? parPageId, DateTime? parReferrerDate, bool? parIsRssReferrer)
		{
			this._ReferrerAddress = parReferrerAddress;
			this._IpAddress = parIpAddress;
			this._Browser = parBrowser;
			this._LanguageId = parLanguageId;
			this._PageId = parPageId;
			this._ReferrerDate = parReferrerDate;
			this._IsRssReferrer = parIsRssReferrer;
		}
		public entReferrers(int parReferrerId, string parReferrerAddress, string parIpAddress, string parBrowser, int? parLanguageId, int? parPageId, DateTime? parReferrerDate, bool? parIsRssReferrer)
		{
			this._ReferrerId = parReferrerId;
			this._ReferrerAddress = parReferrerAddress;
			this._IpAddress = parIpAddress;
			this._Browser = parBrowser;
			this._LanguageId = parLanguageId;
			this._PageId = parPageId;
			this._ReferrerDate = parReferrerDate;
			this._IsRssReferrer = parIsRssReferrer;
		}
		public entReferrers()
		{
		}
	#endregion
	}
}