<%@ Page Language="C#" MasterPageFile="~/SFMaster.master" AutoEventWireup="true" CodeFile="Entries.aspx.cs" Inherits="Admin_Entries" ValidateRequest="false" %>
<%@ Register Assembly="WebControls" Namespace="WebControls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="Server">
<table width=100%><tr><td>
    <cc1:SFGrid ID="sfgEntries" runat="server" OnNeedsDataSource="sfgEntries_NeedsDataSource"
        AutoGenerateColumns="False" IsMasterPageControl="False" IsProtectedForLanguageChange="False"
        OnRowCommand="sfgEntries_RowCommand">
        <Columns>
            <asp:TemplateField>
                <itemtemplate>
                <asp:ImageButton id="ibtEdit" runat="server" CommandName="EditData" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"EntryId") %>' ImageUrl="~/images/edit.gif"></asp:ImageButton>
            </itemtemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <itemtemplate>
                <asp:ImageButton id="ibtDelete" runat="server" CommandName="DeleteData" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"EntryId") %>' ImageUrl="~/images/delete.gif"></asp:ImageButton>
            </itemtemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="EntryDescription"></asp:BoundField>
            <asp:BoundField DataField="PublishDate" DataFormatString="{0:d}" HtmlEncode="false"></asp:BoundField>
            <asp:BoundField DataField="InsertDate" DataFormatString="{0:d}" HtmlEncode="false"></asp:BoundField>
            
        </Columns>
    </cc1:SFGrid>
    <cc1:SFButton ID="btnNew" runat="server" OnClick="btnNew_Click" /></td></tr></table>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderEdit" runat="Server">
    <table>
        <tr>
            <td>
                <cc1:SFLabel ID="lblEntryDescription" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <cc1:SFTextBox ID="txtEntryDescription" runat="server" ControlsLabel="lblEntryDescription"></cc1:SFTextBox>
            </td>
        </tr>
        <tr>
            <td>
                <cc1:SFLabel ID="lblPublishDate" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <cc1:SFCalendar ID="calPublishDate" runat="server" ControlsLabel="lblPublishDate"></cc1:SFCalendar>
               
            </td>
        </tr>
        <tr>
            <td>
                <cc1:SFLabel ID="lblAllowComments" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <cc1:SFCheckBox ID="chkAllowComments" runat="server" ControlsLabel="lblAllowComments"></cc1:SFCheckBox>
            </td>
        </tr>
        <tr>
            <td>
                <cc1:SFLabel ID="lblEntryCategories" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <cc1:SFCheckBoxList ID="sfcEntryCategories" runat="server" ControlsLabel="lblEntryCategories">
                </cc1:SFCheckBoxList>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <cc1:SFDataList ID="lstEntries" runat="server" DataKeyField="EntryContentId" OnNeedsDataSource="lstEntries_NeedsDataSource"
                    OnItemDataBound="lstEntries_ItemDataBound">
                    <ItemTemplate>
                        <table>
                            <tr>
                                <td valign="top">
                                    <cc1:SFCheckBox AutoPostBack="true" OnCheckedChanged="Check" ID="chkLanguage" runat="server"
                                        Text='<%#DataBinder.Eval(Container.DataItem,"LanguageName") %>' />
                                </td>
                                </tr><tr>
                                <td valign="top">
                                    <asp:Panel ID="pnlEntriesContents" runat="server">
                                        <table>
                                            <tr>
                                                <td valign="top">
                                                    <cc1:SFLabel ID="lblTitle" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td>
                                                    <cc1:SFTextBox ID="txtTitle" ControlsLabel="lblTitle" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Title") %>'></cc1:SFTextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    <cc1:SFLabel ID="lblBody" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td>
                                                  
                                                </td>
                                            </tr>
                                            <tr>
      
                                                <td colspan=2>
                                                      <cc1:SFEditor ID="ediBody" ControlsLabel="lblBody" width="450px" runat="server" HTML='<%#DataBinder.Eval(Container.DataItem,"Body") %>'>
                                                    </cc1:SFEditor>
                                                </td>
                                            </tr>

                                        </table>
                                    </asp:Panel>
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                    <SeparatorTemplate>
                    <hr />
                    </SeparatorTemplate>
                </cc1:SFDataList>
            </td>
        </tr>
    </table>
</asp:Content>