<%@ Page Language="C#" MasterPageFile="~/SFMaster.master" AutoEventWireup="true" CodeFile="PhotoAlbums.aspx.cs" Inherits="Admin_PhotoAlbums"  %>
<%@ Register Assembly="WebControls" Namespace="WebControls" TagPrefix="cc1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderMain" runat="Server">
<table width=100%><tr><td>
    <cc1:SFGrid ID="sfgPhotoAlbums" runat="server" OnNeedsDataSource="sfgPhotoAlbums_NeedsDataSource"
        AutoGenerateColumns="False" IsMasterPageControl="False" IsProtectedForLanguageChange="False"
        OnRowCommand="sfgPhotoAlbums_RowCommand">
        <Columns>
            <asp:TemplateField>
                <itemtemplate>
                <asp:ImageButton id="ibtEdit" runat="server" CommandName="EditData" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"PhotoAlbumId") %>' ImageUrl="~/images/edit.gif"></asp:ImageButton>
            </itemtemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <itemtemplate>
                <asp:ImageButton id="ibtDelete" runat="server" CommandName="DeleteData" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"PhotoAlbumId") %>' ImageUrl="~/images/delete.gif"></asp:ImageButton>
            </itemtemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="PublishDate" DataFormatString="{0:d}" HtmlEncode="false"></asp:BoundField>
            <asp:BoundField DataField="PhotoAlbumDescription"></asp:BoundField>
        </Columns>
    </cc1:SFGrid>
    <cc1:SFButton ID="btnNew" runat="server" OnClick="btnNew_Click" /></td></tr></table>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderEdit" runat="Server">
    <table>
        <tr>
            <td>
                <cc1:SFLabel ID="lblPhotoAlbumDescription" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <cc1:SFTextBox ID="txtPhotoAlbumDescription" runat="server" ControlsLabel="lblPhotoAlbumDescription"></cc1:SFTextBox>
            </td>
        </tr>
        <tr>
            <td>
                <cc1:SFLabel ID="lblPublishDate" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <cc1:SFCalendar ID="calPublishDate" runat="server" ControlsLabel="lblPublishDate"></cc1:SFCalendar> 
                
               
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <cc1:SFDataList ID="lstPhotoAlbums" runat="server" DataKeyField="PhotoAlbumContentId" OnNeedsDataSource="lstPhotoAlbums_NeedsDataSource"
                    OnItemDataBound="lstPhotoAlbums_ItemDataBound">
                    <ItemTemplate>
                        <table>
                            <tr>
                                <td valign="top">
                                    <cc1:SFCheckBox AutoPostBack="true" OnCheckedChanged="Check" ID="chkLanguage" runat="server"
                                        Text='<%#DataBinder.Eval(Container.DataItem,"LanguageName") %>' />
                                </td>
                                </tr><tr>
                                <td valign="top">
                                    <asp:Panel ID="pnlPhotoAlbumContents" runat="server">
                                        <table>
                                            <tr>
                                                <td valign="top">
                                                    <cc1:SFLabel ID="lblPhotoAlbumName" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td>
                                                    <cc1:SFTextBox ID="txtPhotoAlbumName" ControlsLabel="lblPhotoAlbumName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"PhotoAlbumName") %>'></cc1:SFTextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    <cc1:SFLabel ID="lblPhotoAlbumContentDescription" runat="server"></cc1:SFLabel>
                                                </td>
                                                <td>
                                                    <cc1:SFTextBox ID="txtPhotoAlbumDescription" ControlsLabel="lblPhotoAlbumContentDescription" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"PhotoAlbumContentDescription") %>'></cc1:SFTextBox>
                                                </td>
                                            </tr>

                                        </table>
                                    </asp:Panel>
                                </td>
                            </tr>
                        </table>
                    </ItemTemplate>
                    <SeparatorTemplate>
                    <hr />
                    </SeparatorTemplate>
                </cc1:SFDataList>
            </td>
        </tr>
    </table>
</asp:Content>

