using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using WebControls;
using BusinessLayer;

public partial class Admin_reportClickThroughs : SFPage
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void btnSearch_Click(object sender, EventArgs e)
    {
        this.Validate();
        if (this.HasErrors)
        {
            MessageBoxShow(this.ErrorMessage);
            return;
        }
        sfgClickThroughsMain.LoadGridData();
        sfgClickThroughsDetail.LoadGridData();
    }
    protected bool sfgClickThroughsMain_NeedsDataSource()
    {
        this.Validate();
        if (!this.HasErrors)
        {
            busClickThroughs insBusClickThroughs = new busClickThroughs();
            DataTable insDataTableClickThroughsMain = insBusClickThroughs.ReportClickThroughsMain(calStartDate.Value.Value, calEndDate.Value.Value);
            sfgClickThroughsMain.SetData(insDataTableClickThroughsMain);
        }
        return true;
    }
    protected bool sfgClickThroughsDetail_NeedsDataSource()
    {
        this.Validate();
        if (!this.HasErrors)
        {
            busClickThroughs insBusClickThroughs = new busClickThroughs();
            DataTable insDataTableClickThroughsDetail = insBusClickThroughs.ReportClickThroughsDetail(calStartDate.Value.Value, calEndDate.Value.Value);
            sfgClickThroughsDetail.SetData(insDataTableClickThroughsDetail);
        }
        return true;
    }
}
