<%@ Application Language="C#" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {

    }
    
    void Application_End(object sender, EventArgs e) 
    {
        //  Code that runs on application shutdown

    }
        
    void Application_Error(object sender, EventArgs e) 
    {
        try
        {
            System.Data.Common.DbProviderFactory insDbProviderFactory = System.Data.Common.DbProviderFactories.GetFactory("System.Data.SqlClient");
            System.Data.Common.DbConnection memConnection = insDbProviderFactory.CreateConnection();
            
            memConnection.ConnectionString = System.Configuration.ConfigurationManager.AppSettings["SQLConnection"];

            System.Data.Common.DbCommand insDbCommand = insDbProviderFactory.CreateCommand();
            insDbCommand.CommandText = "InsertExceptions";
            insDbCommand.CommandType = System.Data.CommandType.StoredProcedure;
            insDbCommand.Connection = memConnection;


            System.Data.Common.DbParameter insDbParameter = insDbProviderFactory.CreateParameter();
            insDbParameter.ParameterName = "@pExceptionMessage";
            if (Request.UrlReferrer != null)
            {
                insDbParameter.Value = "Referrer:" + Request.UrlReferrer.PathAndQuery + " Agent:" + Request.UserAgent + " Address:" + Request.Url.PathAndQuery + " Message:" + Server.GetLastError().Message;
            }
            else
            {
                insDbParameter.Value = "Agent:" + Request.UserAgent + " Address:" + Request.Url.PathAndQuery + " Message:" + Server.GetLastError().Message;
            }
            insDbCommand.Parameters.Add(insDbParameter);

            System.Data.Common.DbParameter insDbParameter1 = insDbProviderFactory.CreateParameter();
            insDbParameter1.ParameterName = "@pExceptionSource";
            if (Server.GetLastError().Source == null)
            {
                insDbParameter1.Value = DBNull.Value;
            }
            else
            {
                insDbParameter1.Value = Server.GetLastError().Source;
            }
            insDbCommand.Parameters.Add(insDbParameter1);

            System.Data.Common.DbParameter insDbParameter2 = insDbProviderFactory.CreateParameter();
            insDbParameter2.ParameterName = "@pInnerExceptionMessage";
            if (Server.GetLastError().InnerException == null)
            {
                insDbParameter2.Value = DBNull.Value;
            }
            else
            {
                insDbParameter2.Value = Server.GetLastError().InnerException.ToString();
            }
            insDbCommand.Parameters.Add(insDbParameter2);

            System.Data.Common.DbParameter insDbParameter3 = insDbProviderFactory.CreateParameter();
            insDbParameter3.ParameterName = "@pExceptionDate";

            insDbParameter3.Value = DateTime.Now;
            insDbCommand.Parameters.Add(insDbParameter3);

            System.Data.Common.DbParameter insDbParameter5 = insDbProviderFactory.CreateParameter();
            insDbParameter5.ParameterName = "@pExceptionId";
            insDbParameter5.Direction = System.Data.ParameterDirection.Output;
            insDbParameter5.DbType = System.Data.DbType.Int32;
            insDbCommand.Parameters.Add(insDbParameter5);


            memConnection.Open();
            insDbCommand.ExecuteNonQuery();
            memConnection.Close();

            object[] mailParams = new object[] { Server.GetLastError().ToString() };
            BusinessLayer.busMails insBusMails = new BusinessLayer.busMails();
            insBusMails.SendMail(4, mailParams);
        }
        catch (Exception ex)
        {


        }

    }

    void Session_Start(object sender, EventArgs e) 
    {
        // Code that runs when a new session is started

    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
</script>
