<%@ WebHandler Language="C#" Class="Image" %>

using System;
using System.Web;
using InfraStructureLayer;

public class Image   : WebControls.SFHttpHandler, System.Web.SessionState.IRequiresSessionState {
    
    public override void ProcessRequest (HttpContext context) 
    {
        BusinessLayer.Crypto c=new BusinessLayer.Crypto();
        string u = c.DecryptURL(context.Request.QueryString["Url"]);
        string path=context.Server.MapPath( u.Replace(CurrentContext.Parameters["WebSiteAddress"].ToString(), "~/"));
        if (!System.IO.File.Exists(path))
        {
            return;
        }
        System.Drawing.Image i = System.Drawing.Image.FromFile(path);
        int nw = i.Width;
        int nh = i.Height;
        //System.Drawing.Image iThumb = null;
        if(context.Request.QueryString["Width"]!=null && context.Request.QueryString["Width"]!="")
        { 
            int w=0;
             int h=0;
             if (i.Width > i.Height)
             {
                 w = Convert.ToInt32(i.Width);
                 h = Convert.ToInt32(i.Height);
                 nw = Convert.ToInt32(context.Request.QueryString["Width"]);
                 nh = nw * h / w;
                 //iThumb = i.GetThumbnailImage(nw, nh, null, new IntPtr(10000));
             }
             else
             {
                 w = Convert.ToInt32(i.Width);
                 h = Convert.ToInt32(i.Height);
                 nh = Convert.ToInt32(context.Request.QueryString["Width"]);
                 nw = nh * w / h;

             }
        }
        System.Drawing.Image thumbnail = new System.Drawing.Bitmap(nw, nh);
        System.Drawing.Graphics g = System.Drawing.Graphics.FromImage(thumbnail); 
        g.DrawImage(i, 0, 0, nw, nh);
        System.Drawing.SizeF f =   g.MeasureString(CurrentContext.Parameters["WebSiteName"].ToString(),new System.Drawing.Font("Verdana", nw/30, System.Drawing.FontStyle.Regular));
        g.DrawString("" + CurrentContext.Parameters["WebSiteName"].ToString(), new System.Drawing.Font("Verdana", nw / 30, System.Drawing.FontStyle.Regular), System.Drawing.Brushes.Black, nw - f.Width - nw / 30, nh - f.Height - 2);

        context.Response.ContentType = "image/jpg";
        thumbnail.Save(context.Response.OutputStream, System.Drawing.Imaging.ImageFormat.Jpeg);
        
        
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }

}