<%@ WebHandler Language="C#" Class="RssBlog" %>

using System;
using System.Web;

public class RssBlog : WebControls.SFHttpHandler, System.Web.SessionState.IRequiresSessionState
{

    public override void ProcessRequest(HttpContext context)
    {
        base.ProcessRequest(context);
        BusinessLayer.busEntries insBusEntries = new BusinessLayer.busEntries();


        System.Data.DataTable insDataTableEntries = insBusEntries.SelectEntriesByLanguageId();

        System.Text.StringBuilder s = new System.Text.StringBuilder(@"<?xml version=""1.0"" encoding=""iso-8859-9"" ?><rss version=""2.0""><channel>");
        s.Append("<title>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["RssTitle"].ToString());
        s.Append(" - ");
        s.Append(InfraStructureLayer.CurrentContext.ErrorMessagesMultilanguage[InfraStructureLayer.CurrentContext.LanguageId.Value.ToString() + "|49"].ToString());
        s.Append("</title>");
        s.Append("<link>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["WebSiteAddress"].ToString() + InfraStructureLayer.CurrentContext.Language + "/blog/default.aspx");
        s.Append("</link>");
        s.Append("<description>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["RssTitle"].ToString());
        s.Append("</description>");
        foreach (System.Data.DataRow dr in insDataTableEntries.Rows)
        {
            s.Append("<item>");
            s.Append("<title>");
            s.Append(dr["Title"].ToString().Replace("&", "&amp;"));
            s.Append("</title>");
            s.Append("<link>");
            s.Append(GenerateUrl(InfraStructureLayer.CurrentContext.Parameters["WebSiteAddress"].ToString() + InfraStructureLayer.CurrentContext.Language + "/Blog/"+ dr["PermalinkGUID"].ToString() + ".aspx"));
            s.Append("</link>");
            s.Append("<description>");
            s.Append(dr["Title"].ToString().Replace("&", "&amp;"));
            s.Append("</description>");
            s.Append("</item>");
        }
        s.Append("</channel></rss>");
        context.Response.ContentType = "text/plain";
        context.Response.ContentEncoding = System.Text.Encoding.GetEncoding("iso-8859-9");
        context.Response.Write(s.ToString());
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}