<%@ WebHandler Language="C#" Class="RssBlogroll" %>

using System;
using System.Web;

public class RssBlogroll : WebControls.SFHttpHandler, System.Web.SessionState.IRequiresSessionState
{

    public override void ProcessRequest(HttpContext context)
    {
        base.ProcessRequest(context);
        BusinessLayer.busBlogrollLinks insBusBlogrollLinks = new BusinessLayer.busBlogrollLinks();

      
        System.Data.DataTable insDataTableBlogrollLinks = insBusBlogrollLinks.SelectBlogrollLinksByLanguageId();

        System.Text.StringBuilder s = new System.Text.StringBuilder(@"<?xml version=""1.0"" encoding=""iso-8859-9"" ?><rss version=""2.0""><channel>");
        s.Append("<title>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["RssTitle"].ToString());
        s.Append(" - ");
        s.Append(InfraStructureLayer.CurrentContext.ErrorMessagesMultilanguage[InfraStructureLayer.CurrentContext.LanguageId.Value.ToString() + "|50"].ToString());
        s.Append("</title>");
        s.Append("<link>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["WebSiteAddress"].ToString() + InfraStructureLayer.CurrentContext.Language + "/blogroll/default.aspx");
        s.Append("</link>");
        s.Append("<description>");
        s.Append(InfraStructureLayer.CurrentContext.Parameters["RssTitle"].ToString());
        s.Append("</description>");
        foreach (System.Data.DataRow dr in insDataTableBlogrollLinks.Rows)
        {
            s.Append("<item>");
            s.Append("<title>");
            s.Append(dr["BlogrollLinkName"].ToString().Replace("&", "&amp;"));
            s.Append("</title>");
            s.Append("<link>");
            s.Append(GenerateUrl(dr["BlogrollLink"].ToString()));
            s.Append("</link>");
            s.Append("<description>");
            s.Append(dr["BlogrollLinkDescription"].ToString().Replace("&", "&amp;"));
            s.Append("</description>");
            s.Append("</item>");
        }
        s.Append("</channel></rss>");
        context.Response.ContentType = "text/plain";
        context.Response.ContentEncoding = System.Text.Encoding.GetEncoding("iso-8859-9");
        context.Response.Write(s.ToString());
    }

    public bool IsReusable
    {
        get
        {
            return false;
        }
    }

}