<%@ Page Language="C#" MasterPageFile="~/SFMaster.master" AutoEventWireup="true"
    CodeFile="articleDetail.aspx.cs" Inherits="articles_articleDetail" Title="Untitled Page" %>

<%@ Register Src="/UserControls/uctArticleTopRead.ascx" TagName="uctArticleTopRead"
    TagPrefix="uc3" %>
<%@ Register Src="/UserControls/uctArticleArchive.ascx" TagName="uctArticleArchive"
    TagPrefix="uc2" %>
<%@ Register Src="/UserControls/uctArticleCategories.ascx" TagName="uctArticleCategories"
    TagPrefix="uc1" %>
<%@ Register Assembly="WebControls" Namespace="WebControls" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolderArchive" runat="Server">
    <uc1:uctArticleCategories ID="UctArticleCategories1" runat="server" />
    <uc2:uctArticleArchive ID="UctArticleArchive1" runat="server" />
    <uc3:uctArticleTopRead ID="UctArticleTopRead1" runat="server" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolderMain" runat="Server">
    <table>
        <tr>
            <td class="title">
                <cc1:SFLabel ID="lblTitle" runat="server"></cc1:SFLabel></td>
        </tr>
    </table>
    <table>
        <tr>
            <td>
                <cc1:SFLabel ID="lblPublishDate" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <asp:Label ID="lblPublishDateValue" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <cc1:SFLabel ID="lblCategories" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <asp:Label ID="lblCategoriesValue" runat="server"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <cc1:SFLabel ID="lblReadCount" runat="server"></cc1:SFLabel>
            </td>
            <td>
                <asp:Label ID="lblReadCountValue" runat="server"></asp:Label>
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <td>
                <cc1:SFLabel ID="lblArticleSummary" runat="server"></cc1:SFLabel>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="lblArticleSummaryValue" runat="server"></asp:Label></td>
        </tr>
        <tr>
            <td>
                <hr />
            </td>
        </tr>
        <tr>
            <td class="blogBody">
                <asp:Label ID="lblArticleBodyValue" runat="server"></asp:Label></td>
        </tr>
        <tr>
            <td>
                <table>
                    <cc1:SFRepeater ID="sfrContentPublishLocations" runat="server">
                        <ItemTemplate>
                            <tr>
                                <td class="blogBody">
                                    <a href='<%#DataBinder.Eval(Container.DataItem,"ArticleContentPublishLocationLink") %>'>
                                        <%#DataBinder.Eval(Container.DataItem,"ArticleContentPublishLocationName") %>
                                    </a>
                                </td>
                            </tr>
                        </ItemTemplate>
                    </cc1:SFRepeater>
                </table>
            </td>
        </tr>
        <tr>
            <td>
                <hr />
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%">
                    <cc1:SFRepeater ID="sfrComments" runat="server" OnItemCommand="sfrComments_ItemCommand">
                        <ItemTemplate>
                            <tr>
                                <td>
                                    <%#Convert.ToDateTime(DataBinder.Eval(Container.DataItem,"ArticleCommentDate")).ToShortDateString() %>
                                    -
                                    <%#DataBinder.Eval(Container.DataItem,"ArticleCommentUserName") %>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <%#DataBinder.Eval(Container.DataItem,"ArticleCommentBody") %>
                                </td>
                            </tr>
                            <tr>
                                <td align="right">
                                    <a href='<%#DataBinder.Eval(Container.DataItem,"ArticleCommentUserWebSite") %>' target="_blank">
                                        <%#DataBinder.Eval(Container.DataItem,"ArticleCommentUserWebSite") %>
                                    </a>
                                    <asp:ImageButton ImageUrl="~/images/delete.gif" Visible='<%#GetVisible() %>' ID="ibtDelete"
                                        runat="server" CommandName="DeleteComment" CommandArgument='<%#DataBinder.Eval(Container.DataItem,"ArticleCommentId") %>' />
                                </td>
                            </tr>
                        </ItemTemplate>
                        <SeparatorTemplate>
                            <tr>
                                <td>
                                    <hr />
                                </td>
                            </tr>
                        </SeparatorTemplate>
                    </cc1:SFRepeater>
                </table>
                <asp:Panel runat="Server" ID="pnlDragHandle" CssClass="editFormTitle">
                    <table width="98%">
                        <tr>
                            <td align="left">
                                <cc1:SFLabel ID="lblEditHeader" runat="server" Text="aaaa"></cc1:SFLabel>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <asp:Panel ID="pnlEditFormMain" runat="server">
                    <table class="editFormBack">
                        <tr>
                            <td colspan="2">
                                <div id="hedeee" class="editFormBack">
                                    <table class=tbl>
                                        <tr>
                                            <td>
                                                <cc1:SFLabel ID="lblArticleCommentUserName" runat="server"></cc1:SFLabel>
                                            </td>
                                            <td>
                                                <cc1:SFTextBox ID="txtArticleCommentUserName" runat="server" ControlsLabel="lblArticleCommentUserName"></cc1:SFTextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <cc1:SFLabel ID="lblArticleCommentUserWebSite" runat="server"></cc1:SFLabel>
                                            </td>
                                            <td>
                                                <cc1:SFTextBox ID="txtArticleCommentUserWebSite" runat="server" ControlsLabel="lblArticleCommentUserWebSite"
                                                    AllowNull="true"></cc1:SFTextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <cc1:SFLabel ID="lblArticleCommentUserEmail" runat="server"></cc1:SFLabel>
                                            </td>
                                            <td>
                                                <cc1:SFTextBox ID="txtArticleCommentUserEmail" runat="server" ControlsLabel="lblArticleCommentUserEmail"
                                                    AllowNull="true"></cc1:SFTextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <cc1:SFLabel ID="lblArticleCommentBody" runat="server"></cc1:SFLabel>
                                            </td>
                                            <td>
                                                <cc1:SFTextBox ID="txtArticleCommentBody" runat="server" ControlsLabel="lblArticleCommentBody"
                                                    TextMode="MultiLine" MaxLength="3000"></cc1:SFTextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td valign="top">
                                                <cc1:SFLabel ID="lblSecurityPicture" runat="server"></cc1:SFLabel>
                                            </td>
                                            <td valign="top">
                                                <img src="~/Utils/SecurityPicture.aspx" runat="server" alt="" id="imgSecurityPicture" /><br />
                                                <cc1:SFTextBox ID="txtSecurityPicture" runat="server" ControlsLabel="lblSecurityPicture"></cc1:SFTextBox>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td align="center" colspan=2>
                                <cc1:SFButton ID="btnSave" runat="server" OnClick="btnSave_Click" IsMasterPageControl="true" />
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
            </td>
        </tr>
    </table>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ContentPlaceHolderEdit" runat="Server">
</asp:Content>
