using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;

namespace WebControls
{
   public interface IClear
   {
       void Clear();
   }

    public interface IValidation
    {
        bool AllowNull
        {
            get;
            set;
        }
        bool HasErrors
        {
            get;
        }
        string ErrorMessage
        {
            get;
            set;
        }
        bool Validate();
    }
    public interface ILabel
    {
        string ControlsLabel
        {
            get;
            set;
        }
    }
    public interface IMultiLanguage
    {
        void SetControlLanguage();
        bool IsProtectedForLanguageChange
        {
            get;
            set;
        }
        bool IsMasterPageControl
        {
            get;
            set;
        }
    }
    public interface IReadOnly
    {
        bool ReadOnly
        {
            get;
            set;
        }
    }
    public interface IOperators
    {
        bool IsEqual(Control parControl);
        bool IsSmaller(Control parControl);
        bool IsBigger(Control parControl);
        bool IsNotEqual(Control parControl);
        bool IsSmallerOrEqual(Control parControl);
        bool IsBiggerOrEqual(Control parControl);
    }

}
